aboutsummaryrefslogtreecommitdiff
path: root/www
Commit message (Collapse)AuthorAgeFilesLines
* www/chromium: update to 106.0.5249.91Robert Nagy11 hours2-8/+8
| | | | Security: d459c914-4100-11ed-9bc7-3065ec8fd3ec
* cleanup: Remove expired ports:Rene Ladan12 hours5-86/+0
| | | | 2022-09-30 www/py-ws4py: Upstream abandoned
* cleanup: Remove expired ports:Rene Ladan12 hours5-64/+0
| | | | 2022-09-30 www/ttf2eot: Obsolete font format that's been superseded by OTF/TTF/WOFF/WOFF2
* www/gitlab-ce: security update to 15.2.4Matthias Fechner16 hours4-15/+15
| | | | Security: e6b994e2-2891-11ed-9be7-454b1dd82c64
* www/(x)caddy: Fix rc(8) scriptAdam Weinberger19 hours4-2/+4
| | | | | | | | rc.subr(8) needs $command to be set or it can't inspect the pidfile. Without it, rc.d/caddy never believes that caddy is running which impedes stopping. Thanks to scf for figuring out what was going wrong here.
* www/tomcat101: New port: Open-source Java web server by Apache, 10.1.x branchVVD20 hours7-0/+874
| | | | | WWW: https://tomcat.apache.org/ PR: 266639
* www/tomcat{9,10,-devel}: Update to 9.0.67, 10.0.26, 10.1.0VVD20 hours9-17/+17
| | | | | | | | | ChangeLog: https://tomcat.apache.org/tomcat-9.0-doc/changelog.html#Tomcat_9.0.67_(remm) https://tomcat.apache.org/tomcat-10.0-doc/changelog.html#Tomcat_10.0.26_(markt) https://tomcat.apache.org/tomcat-10.1-doc/changelog.html#Tomcat_10.1.0_(markt) PR: 266639
* www/uwebsockets: Update 20.18.0 -> 20.20.0Yuri Victorovich29 hours2-4/+4
| | | | Reported by: portscout
* www/obhttpd: Fix libevent issueNikola Kolev35 hours2-4/+5
| | | | | | | | | - After the previous upgrade of the obhttpd port to version 7.1.20220923 PR #266572 I found issue with the version of libevent. Downgrade libevent to the previous working version until find working solution. PR: 266710
* www/threejs: upgrade to r145Thierry Thomas40 hours2-4/+4
| | | | Release notes at <https://github.com/mrdoob/three.js/releases/tag/r145>.
* www/xcaddy: Add rc(8) scriptAdam Weinberger41 hours3-1/+136
| | | | | | | | | | | | | Bring in the rc(8) script from caddy to xcaddy so that xcaddy users can control caddy like an adult. Add CONFLICTS between xcaddy and caddy because they now install the same rc(8) script. There's no reason to change the install path here because, as olgeni put it, "xcaddy with plugins is more caddy than caddy". Suggested by: bdrewery Approved by: olgeni (xcaddy maintainer)
* www/caddy: Allow setting the path to the caddy binaryAdam Weinberger41 hours2-10/+11
| | | | | This will make the rc(8) script more usable for users who build caddy with xcaddy (www/xcaddy).
* www/p5-RT-Client-REST: Update to 0.70Wen Heping42 hours2-7/+7
| | | | | PR: 266626 Reported by: svysh.fbsd@gmail.com(maintainer)
* www/py-css-parser: Update to 1.0.8Guido Falsi2 days2-4/+4
|
* www/slowcgi: update to 7.1.20220916Nikola Kolev2 days2-9/+11
| | | | | | | ChangeLog: https://github.com/koue/slowcgi/blob/master/ChangeLog PR: 266638 Reported by: koue@chaosophia.net
* www/py-aiohttp-session: New port: Web sessions for aiohttp webJose Alonso Cardenas Marquez2 days4-0/+32
| | | | The library provides sessions for aiohttp.web
* www/p5-Net-Curl: Update to 0.52Gian-Simon Purkert2 days2-4/+4
| | | | | ChangeLog: https://metacpan.org/dist/Net-Curl/changes PR: 266673
* www/cinny: Update to 2.2.2Ashish SHUKLA3 days3-7/+7
| | | | | | | | | MFH: 2022Q3 Security: cb902a77-3f43-11ed-9402-901b0e9408dc Security: CVE-2022-39249 Security: CVE-2022-39250 Security: CVE-2022-39251 Security: CVE-2022-39236
* www/element-web: Update to 1.11.8Ashish SHUKLA3 days3-88/+89
| | | | | | | | | | Approved by: maintainer (implicit, version bump, as per PR 258262) MFH: 2022Q3 Security: cb902a77-3f43-11ed-9402-901b0e9408dc Security: CVE-2022-39249 Security: CVE-2022-39250 Security: CVE-2022-39251 Security: CVE-2022-39236
* www/chromium: update to 106.0.5249.61Robert Nagy3 days268-1112/+1457
| | | | Security: 18529cb0-3e9c-11ed-9bc7-3065ec8fd3ec
* www/authelia: Update 4.36.8 -> 4.36.9Yuri Victorovich3 days2-8/+8
| | | | Reported by: portscout
* www/srt: Update 1.5.0 -> 1.5.1Yuri Victorovich3 days3-7/+6
| | | | Reported by: portscout
* www/typo3-10: Update to 10.4.32Helmut Ritter4 days2-4/+4
| | | | | | | | | | | | | | Fixes following security advisories: https://typo3.org/security/advisory/typo3-core-sa-2022-006 https://typo3.org/security/advisory/typo3-core-sa-2022-007 https://typo3.org/security/advisory/typo3-core-sa-2022-008 https://typo3.org/security/advisory/typo3-core-sa-2022-009 https://typo3.org/security/advisory/typo3-core-sa-2022-010 https://typo3.org/security/advisory/typo3-core-sa-2022-011 Changelog: https://get.typo3.org/release-notes/10.4.32 PR: 266602
* www/gohugo: Update to 0.104.0Ben Lavery-Griffiths4 days2-7/+6
| | | | | | Changelog: https://github.com/gohugoio/hugo/releases/tag/v0.104.0 PR: 266600
* www/py-cachecontrol: Update 0.12.11 -> 0.12.12Yuri Victorovich4 days2-4/+9
| | | | Reported by: portscout
* www/uwebsockets: Update 20.16.0 -> 20.18.0Yuri Victorovich4 days2-4/+4
| | | | Reported by: portscout
* www/proxygen: Update 2022.09.19.00 -> 2022.09.26.00Yuri Victorovich4 days2-4/+4
|
* audio/flac: bump port revision of consumers after update to 1.4.1Christian Weisgerber6 days2-1/+2
|
* www/mod_http2: Remove patch fileBernard Spil6 days1-47/+0
|
* www/mod_http2: Use upstream release archiveBernard Spil6 days3-14/+55
| | | | | PR: 266613 Submitted by: diizzy
* www/bacula-web: add php*-sqlite3Larry Rosenman6 days1-2/+2
| | | | | PR: 266597 Submitted By: freebsd-ports@charlieroot.de
* www/websocat: update 1.10.1 -> 1.11.0Sergey A. Osokin6 days2-133/+164
| | | | ChangeLog: https://github.com/vi/websocat/compare/v1.10.1...v1.11.0
* www/nginx-devel: third-party modules managementSergey A. Osokin6 days4-14/+14
| | | | | | | o) update third-party lua module 0.10.21 -> 0.10.22 o) update third-party http_shibboleth to the recent commit Bump PORTREVISION.
* www/mod_http2: Update to 2.0.7Bernard Spil6 days2-5/+5
| | | | * configure fails without pkg-config
* www/flexget: update to 3.3.30Jan Beich7 days2-4/+4
| | | | | Changes: https://github.com/Flexget/Flexget/compare/v3.3.28...v3.3.30 Reported by: Repology, portscout
* *: Release a few ports to the poolDanilo G. Baio7 days1-1/+1
|
* www/drupal7: Update to 7.92Jochen Neumeister7 days3-4/+35
| | | | | PR: 266460 Sponsored by: Netzkommune GmbH
* www/matomo: Udate to 4.11.0Jochen Neumeister7 days4-340/+561
| | | | | | | Changelogs: https://matomo.org/changelog/ PR: 266497 Sponsored by: Netzkommune GmbH
* www/obhttpd: Update to 7.1.20220923Nikola Kolev7 days2-13/+13
| | | | | ChangeLog: https://github.com/koue/httpd/blob/master/ChangeLog PR: 266572
* www/rt50: Update DBIx::SearchBuilder dependencyDavid Siebörger8 days1-2/+2
| | | | | | RT 5.0.3 requires DBIx::SearchBuilder 1.71 PR: 265584
* www/miniserve: Update to 0.22.0Mikael Urankar8 days2-314/+417
| | | | | | Changes: https://github.com/svenstaro/miniserve/releases/tag/v0.21.0 https://github.com/svenstaro/miniserve/releases/tag/v0.22.0
* www/piwigo: rework dependenciesAlexander Leidinger8 days1-5/+7
| | | | | | | | | - use canonical way for sodium depend3ncy [1] - add php-zip dependency (needed for a plugin) Thus is tested upto php 8.1. Noticed by: fluffy [1]
* www/authelia: Update 4.36.7 -> 4.36.8Yuri Victorovich8 days2-8/+8
| | | | Reported by: portscout
* www/nginx: Udate 3rd Party Module NJSJochen Neumeister8 days4-6/+6
| | | | | | Update 3rd Party Module NJS to 0.7.7 Sponsored by: Netzkommune GmbH
* www/firefox: update to 105.0.1 (rc1)Christoph Moench-Tegeder8 days2-6/+5
| | | | | Release Notes (soon): https://www.mozilla.org/en-US/firefox/105.0.1/releasenotes/
* www/py-crossplane: update 0.5.7 -> 0.5.8Sergey A. Osokin9 days2-4/+4
| | | | ChangeLog: https://github.com/nginxinc/crossplane/compare/v0.5.7...v0.5.8
* www/caddy: Provide a version stringAdam Weinberger9 days2-0/+28
| | | | | | | | | | | | | | | | | | | | When build from ports, `caddy version` returns an empty string. Upstream likes caddy to be built from their xcaddy command, for which FreeBSD has a port (www/xcaddy) and a package (pkg install xcaddy). However, our package builders cannot use xcaddy itself, as it needs external network access. Caddy itself contains no ability to set the version without the extensive patching that xcaddy performs. This commit adds a version string to allow the version to be set. When built with xcaddy, the version string can contain a checksum of some sort, but we are just using ${DISTVERSIONFULL} here (e.g. v2.6.1). The lack of a version string has been brought up a number of times to me, so I'm happy to put this issue to bed. See https://github.com/caddyserver/caddy/issues/5065 for the latest discussion about it.
* www/nginx-full: Add 3rd party moduleJochen Neumeister9 days1-13/+14
| | | | Sponsored by: Netzkommune GmbH
* www/chromium: fix build on 14-CURRENT until llvm14 has wasi support.Tomoaki AOKI9 days1-1/+1
| | | | PR: 266492
* www/caddy: Update to 2.6.1Adam Weinberger9 days2-6/+6
|